import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { SchedulerTaskInitialData } from '../beans/scheduler-task-initial-data';

const serviceURL = './service/settings/scheduler-task';

@Injectable({
  providedIn: 'root'
})
export class SchedulerTaskService {

  constructor(private http: HttpClient) { }

  getInitialData() {
    return this.http.get<SchedulerTaskInitialData>(serviceURL + '/initial-data');
  }
}
